---
title: HTMLFormElement.acceptCharset
slug: Web/API/HTMLFormElement/acceptCharset
tags:
  - API
  - HTML DOM
  - HTMLFormElement
  - NeedsMarkupWork
  - NeedsSpecTable
  - Property
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <code><strong>HTMLFormElement.acceptCharset</strong></code> property represents a list of the supported <a href="/en-US/docs/Glossary/character_encoding">character encodings</a> for the given {{htmlelement("form")}} element. This list can be comma-separated or space-separated.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>string</em> = <em>form</em>.acceptCharset;
<em>form</em>.acceptCharset = <em>string</em><code>;</code>
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">inputs = document.forms['myform'].acceptCharset;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-form-acceptcharset', 'HTMLFormElement: acceptCharset')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLFormElement.acceptCharset")}}</p>
